package kuzumeji.action.list.erp.mng;
import kuzumeji.action.list.BaseEntityQuery;
import kuzumeji.entity.erp.mng.PlanExpense;
import org.jboss.seam.annotations.Name;
@Name("planExpenseList")
public class PlanExpenseList extends BaseEntityQuery<PlanExpense> {
    private static final String EJBQL = "select planExpense from PlanExpense planExpense";
    private static final String[] RESTRICTIONS = {
            "(planExpense.text) like (concat(#{planExpenseList.planExpense.text},'%'))",
            "(planExpense.item) like (concat(#{planExpenseList.planExpense.item},'%'))",
            "(planExpense.name) like (concat(#{planExpenseList.planExpense.name},'%'))", };
    private PlanExpense planExpense = new PlanExpense();
    public PlanExpenseList() {
        super(EJBQL, RESTRICTIONS);
    }
    public PlanExpense getPlanExpense() {
        return planExpense;
    }
}
